
package com.jeelowcode.framework.plus.core.dql.delete;


import com.jeelowcode.framework.plus.core.conditions.AbstractWrapper;
import com.jeelowcode.framework.plus.core.conditions.SharedString;
import com.jeelowcode.framework.plus.core.conditions.segments.MergeSegments;

import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

/**
 * @author JX
 * @create 2024-03-27 17:46
 * @dedescription:
 */
public class JeeLowCodeDeleteWrapper<T> extends AbstractWrapper<T, String, JeeLowCodeDeleteWrapper<T>> {



    public JeeLowCodeDeleteWrapper() {
        this((T) null);
    }

    public JeeLowCodeDeleteWrapper(T entity) {
        super.setEntity(entity);
        super.initNeed();
    }


    public JeeLowCodeDeleteWrapper(AtomicInteger paramNameSeq,
                                   Map<String, Object> paramNameValuePairs, MergeSegments mergeSegments, SharedString paramAlias,
                                   SharedString lastSql, SharedString sqlComment){
        this.paramNameSeq = paramNameSeq;
        this.paramNameValuePairs = paramNameValuePairs;
        this.paramAlias = paramAlias;
        this.lastSql = lastSql;
        this.sqlComment = sqlComment;
        this.expression = new MergeSegments();
    }



    @Override
    protected JeeLowCodeDeleteWrapper instance() {
        return new JeeLowCodeDeleteWrapper( paramNameSeq , paramNameValuePairs , expression , paramAlias , SharedString.emptyString() , SharedString.emptyString());
    }


    public void orderby(){
        return;
    }

    public void groupBy(){
    }
}
